commit:     76713781cde16814d98f1b67d2ccd55b7d12bda7
Author:     Patrick Lauer <patrick <AT> gentoo <DOT> org>
AuthorDate: Sat May  3 05:13:11 2025 +0000
Commit:     Patrick Lauer <patrick <AT> gentoo <DOT> org>
CommitDate: Sat May  3 05:21:53 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=76713781

sys-cluster/rdma-core: add 53.3, 54.2, 55.1, 56.1

Signed-off-by: Patrick Lauer <patrick <AT> gentoo.org>

 sys-cluster/rdma-core/Manifest              |   4 +
 sys-cluster/rdma-core/rdma-core-53.3.ebuild | 120 ++++++++++++++++++++++++++++
 sys-cluster/rdma-core/rdma-core-54.2.ebuild | 120 ++++++++++++++++++++++++++++
 sys-cluster/rdma-core/rdma-core-55.1.ebuild | 120 ++++++++++++++++++++++++++++
 sys-cluster/rdma-core/rdma-core-56.1.ebuild | 120 ++++++++++++++++++++++++++++
 5 files changed, 484 insertions(+)

diff --git a/sys-cluster/rdma-core/Manifest b/sys-cluster/rdma-core/Manifest
index 9c6a380566fa..3c54e1162a63 100644
--- a/sys-cluster/rdma-core/Manifest
+++ b/sys-cluster/rdma-core/Manifest
@@ -1,2 +1,6 @@
 DIST rdma-core-50.0.tar.gz 1961247 BLAKE2B 
e17857eae1cebea7f82d061a41905577088c553f18f7aacfc7901e13e890a0b5bb2a776140e603b41c8a45d6690e27852f291bd0cc0b839c469c2caeb0854bb3
 SHA512 
0d341300dde2a8756ab0e80bf8d316627c997e85661d50b51897aa03e1b7326f4ca7a6f24e370354779482a2d9455e58dbb07e6292ed8b511e7f195e4e2d1850
 DIST rdma-core-53.1.tar.gz 2170895 BLAKE2B 
d4ab2785aa9e3f3d349bfeeb0ed3354f44c43f730c5988ca8de6489ee41de9c6fa57d157931b424031fba85ec6cc7a4b3befcf9a10ed7d302f26a95d22478f16
 SHA512 
d786c6854093fbc1b876aec068ea87d0e5cc2a217c19e515cf48ba2fb7018f3da60b9cd6f204b6f04c1b295fec47ddafdca330cb734a0df7b6d7631d77cca0a9
+DIST rdma-core-53.3.tar.gz 2167557 BLAKE2B 
c4866ed8849b072ed47bcb74a4d440ffd3722bfb9f09487d4a4cfc19ed191b22505add84a375c47454d27954afc9ab9d25c9ee5a1c2864d2add2cca278276310
 SHA512 
e286423cdb692c2e3d4bea510a0c3bfba25a3ac52f1f69e99c221f53a658c14fc5a8355b7ec7982bf7ede343e5323e8aa103da0cd4ca693af8c835b827343a92
+DIST rdma-core-54.2.tar.gz 2171835 BLAKE2B 
feb454682b16a3476cb8c987f9966c556e0bc4dd5b3200645fe6f1c38d8905513d95a5037b057ab5d7c969b6507c4172e5c675da7069faddadd84251d2737df3
 SHA512 
fdeb7edd91c1ef131585b724dd4526752abc027f23da56523d94abb0beef29e8c5aecc0a55b7ad41cd8b0766c0631cbd4e01b6d4984de8c18f14762f0544fb36
+DIST rdma-core-55.1.tar.gz 2183721 BLAKE2B 
c05dd5e1d3341df28f5fb8b16a664ddc0a955ceb8d12f8500abfea32ead1d210008e712cb429966629defc757d131b78b7d8fe96551c45ed17cc7d57729b47ae
 SHA512 
b1afee1fcf1959b5a33cf82ff1d17347e2e0a5f25c1d8d3e30eebcffbcb96a03652af5e971cbc2cb8b21558d8b9feb5a600d28d9dbac7298619480df14920874
+DIST rdma-core-56.1.tar.gz 2192894 BLAKE2B 
7fb97f1a01ef9f67e35083274ea4f87e11154ffa3e5cd579be4831cb8974613714ca6ca69f790eb9bfbeb3a32f5c1d7bad13f168d809d6e801f3116a07352ab4
 SHA512 
742c65bc541aa5b0fa2920492197fce55cd4d5df9c7bd240d6702d509e59b459183f189f9968f8bebae9896ae32d40afdda5604da8899c50b51da4d03ba39e79

diff --git a/sys-cluster/rdma-core/rdma-core-53.3.ebuild 
b/sys-cluster/rdma-core/rdma-core-53.3.ebuild
new file mode 100644
index 000000000000..5f49aaf5429d
--- /dev/null
+++ b/sys-cluster/rdma-core/rdma-core-53.3.ebuild
@@ -0,0 +1,120 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{10..13} )
+
+inherit cmake perl-functions python-single-r1 udev systemd
+
+DESCRIPTION="Userspace components for the Linux Kernel's drivers/infiniband 
subsystem"
+HOMEPAGE="https://github.com/linux-rdma/rdma-core";
+
+if [[ ${PV} == *9999 ]]; then
+       inherit git-r3
+       EGIT_REPO_URI="https://github.com/linux-rdma/rdma-core";
+else
+       
SRC_URI="https://github.com/linux-rdma/rdma-core/releases/download/v${PV}/${P}.tar.gz";
+       KEYWORDS="~alpha amd64 arm arm64 ~hppa ~loong ~mips ~ppc ppc64 ~riscv 
~s390 sparc x86"
+fi
+
+LICENSE="|| ( GPL-2 ( CC0-1.0 MIT BSD BSD-with-attribution ) )"
+SLOT="0"
+IUSE="lttng neigh python static-libs systemd valgrind"
+REQUIRED_USE="python? ( ${PYTHON_REQUIRED_USE} )"
+
+COMMON_DEPEND="
+       dev-lang/perl:=
+       virtual/libudev:=
+       lttng? ( dev-util/lttng-ust:= )
+       neigh? ( dev-libs/libnl:3 )
+       systemd? ( sys-apps/systemd:= )
+       valgrind? ( dev-debug/valgrind )
+       python? ( ${PYTHON_DEPS} )
+"
+DEPEND="
+       ${COMMON_DEPEND}
+       python? (
+               $(python_gen_cond_dep '
+                       dev-python/cython[${PYTHON_USEDEP}]
+               ')
+       )
+"
+RDEPEND="${COMMON_DEPEND}
+       !sys-fabric/infiniband-diags
+       !sys-fabric/libibverbs
+       !sys-fabric/librdmacm
+       !sys-fabric/libibumad
+       !sys-fabric/ibacm
+       !sys-fabric/libibmad
+       !sys-fabric/srptools
+       !sys-fabric/infinipath-psm
+       !sys-fabric/libcxgb3
+       !sys-fabric/libcxgb4
+       !sys-fabric/libmthca
+       !sys-fabric/libmlx4
+       !sys-fabric/libmlx5
+       !sys-fabric/libocrdma
+       !sys-fabric/libnes
+"
+# python is required unconditionally at build-time
+BDEPEND="
+       ${PYTHON_DEPS}
+       virtual/pkgconfig
+"
+
+PATCHES=(
+       "${FILESDIR}"/${PN}-39.0-RDMA_BuildType.patch
+       "${FILESDIR}"/${PN}-53.1-preload-fix-build-issue-with-clang-19.patch
+)
+
+src_prepare() {
+       # DEFINED is true even if the value is false, which makes lttng 
unconditional
+       sed -i -e 's/if (DEFINED ENABLE_LTTNG)/if (ENABLE_LTTNG)/' 
CMakeLists.txt || die
+       cmake_src_prepare
+}
+
+src_configure() {
+       perl_set_version
+
+       local mycmakeargs=(
+               -DCMAKE_INSTALL_SYSCONFDIR="${EPREFIX}"/etc
+               -DCMAKE_INSTALL_RUNDIR=/run
+               -DCMAKE_INSTALL_SHAREDSTATEDIR="${EPREFIX}"/var/lib
+               -DCMAKE_INSTALL_PERLDIR="${VENDOR_LIB}"
+               -DCMAKE_INSTALL_UDEV_RULESDIR="${EPREFIX}$(get_udevdir)"/rules.d
+               
-DCMAKE_INSTALL_SYSTEMD_SERVICEDIR="$(systemd_get_systemunitdir)"
+               -DCMAKE_DISABLE_FIND_PACKAGE_Systemd="$(usex !systemd)"
+               -DENABLE_LTTNG="$(usex lttng)"
+               -DENABLE_VALGRIND="$(usex valgrind)"
+               -DENABLE_RESOLVE_NEIGH="$(usex neigh)"
+               -DENABLE_STATIC="$(usex static-libs)"
+               -DNO_PYVERBS="$(usex !python)"
+               -DNO_MAN_PAGES=1
+               -DPYTHON_EXECUTABLE="${PYTHON}"
+       )
+       cmake_src_configure
+}
+
+src_install() {
+       cmake_src_install
+
+       udev_dorules "${ED}"/usr/share/doc/${PF}/70-persistent-ipoib.rules
+
+       if use neigh; then
+               newinitd "${FILESDIR}"/ibacm.init ibacm
+               newinitd "${FILESDIR}"/iwpmd.init iwpmd
+       fi
+
+       newinitd "${FILESDIR}"/srpd.init srpd
+
+       use python && python_optimize
+}
+
+pkg_postinst() {
+       udev_reload
+}
+
+pkg_postrm() {
+       udev_reload
+}

diff --git a/sys-cluster/rdma-core/rdma-core-54.2.ebuild 
b/sys-cluster/rdma-core/rdma-core-54.2.ebuild
new file mode 100644
index 000000000000..5f49aaf5429d
--- /dev/null
+++ b/sys-cluster/rdma-core/rdma-core-54.2.ebuild
@@ -0,0 +1,120 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{10..13} )
+
+inherit cmake perl-functions python-single-r1 udev systemd
+
+DESCRIPTION="Userspace components for the Linux Kernel's drivers/infiniband 
subsystem"
+HOMEPAGE="https://github.com/linux-rdma/rdma-core";
+
+if [[ ${PV} == *9999 ]]; then
+       inherit git-r3
+       EGIT_REPO_URI="https://github.com/linux-rdma/rdma-core";
+else
+       
SRC_URI="https://github.com/linux-rdma/rdma-core/releases/download/v${PV}/${P}.tar.gz";
+       KEYWORDS="~alpha amd64 arm arm64 ~hppa ~loong ~mips ~ppc ppc64 ~riscv 
~s390 sparc x86"
+fi
+
+LICENSE="|| ( GPL-2 ( CC0-1.0 MIT BSD BSD-with-attribution ) )"
+SLOT="0"
+IUSE="lttng neigh python static-libs systemd valgrind"
+REQUIRED_USE="python? ( ${PYTHON_REQUIRED_USE} )"
+
+COMMON_DEPEND="
+       dev-lang/perl:=
+       virtual/libudev:=
+       lttng? ( dev-util/lttng-ust:= )
+       neigh? ( dev-libs/libnl:3 )
+       systemd? ( sys-apps/systemd:= )
+       valgrind? ( dev-debug/valgrind )
+       python? ( ${PYTHON_DEPS} )
+"
+DEPEND="
+       ${COMMON_DEPEND}
+       python? (
+               $(python_gen_cond_dep '
+                       dev-python/cython[${PYTHON_USEDEP}]
+               ')
+       )
+"
+RDEPEND="${COMMON_DEPEND}
+       !sys-fabric/infiniband-diags
+       !sys-fabric/libibverbs
+       !sys-fabric/librdmacm
+       !sys-fabric/libibumad
+       !sys-fabric/ibacm
+       !sys-fabric/libibmad
+       !sys-fabric/srptools
+       !sys-fabric/infinipath-psm
+       !sys-fabric/libcxgb3
+       !sys-fabric/libcxgb4
+       !sys-fabric/libmthca
+       !sys-fabric/libmlx4
+       !sys-fabric/libmlx5
+       !sys-fabric/libocrdma
+       !sys-fabric/libnes
+"
+# python is required unconditionally at build-time
+BDEPEND="
+       ${PYTHON_DEPS}
+       virtual/pkgconfig
+"
+
+PATCHES=(
+       "${FILESDIR}"/${PN}-39.0-RDMA_BuildType.patch
+       "${FILESDIR}"/${PN}-53.1-preload-fix-build-issue-with-clang-19.patch
+)
+
+src_prepare() {
+       # DEFINED is true even if the value is false, which makes lttng 
unconditional
+       sed -i -e 's/if (DEFINED ENABLE_LTTNG)/if (ENABLE_LTTNG)/' 
CMakeLists.txt || die
+       cmake_src_prepare
+}
+
+src_configure() {
+       perl_set_version
+
+       local mycmakeargs=(
+               -DCMAKE_INSTALL_SYSCONFDIR="${EPREFIX}"/etc
+               -DCMAKE_INSTALL_RUNDIR=/run
+               -DCMAKE_INSTALL_SHAREDSTATEDIR="${EPREFIX}"/var/lib
+               -DCMAKE_INSTALL_PERLDIR="${VENDOR_LIB}"
+               -DCMAKE_INSTALL_UDEV_RULESDIR="${EPREFIX}$(get_udevdir)"/rules.d
+               
-DCMAKE_INSTALL_SYSTEMD_SERVICEDIR="$(systemd_get_systemunitdir)"
+               -DCMAKE_DISABLE_FIND_PACKAGE_Systemd="$(usex !systemd)"
+               -DENABLE_LTTNG="$(usex lttng)"
+               -DENABLE_VALGRIND="$(usex valgrind)"
+               -DENABLE_RESOLVE_NEIGH="$(usex neigh)"
+               -DENABLE_STATIC="$(usex static-libs)"
+               -DNO_PYVERBS="$(usex !python)"
+               -DNO_MAN_PAGES=1
+               -DPYTHON_EXECUTABLE="${PYTHON}"
+       )
+       cmake_src_configure
+}
+
+src_install() {
+       cmake_src_install
+
+       udev_dorules "${ED}"/usr/share/doc/${PF}/70-persistent-ipoib.rules
+
+       if use neigh; then
+               newinitd "${FILESDIR}"/ibacm.init ibacm
+               newinitd "${FILESDIR}"/iwpmd.init iwpmd
+       fi
+
+       newinitd "${FILESDIR}"/srpd.init srpd
+
+       use python && python_optimize
+}
+
+pkg_postinst() {
+       udev_reload
+}
+
+pkg_postrm() {
+       udev_reload
+}

diff --git a/sys-cluster/rdma-core/rdma-core-55.1.ebuild 
b/sys-cluster/rdma-core/rdma-core-55.1.ebuild
new file mode 100644
index 000000000000..5f49aaf5429d
--- /dev/null
+++ b/sys-cluster/rdma-core/rdma-core-55.1.ebuild
@@ -0,0 +1,120 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{10..13} )
+
+inherit cmake perl-functions python-single-r1 udev systemd
+
+DESCRIPTION="Userspace components for the Linux Kernel's drivers/infiniband 
subsystem"
+HOMEPAGE="https://github.com/linux-rdma/rdma-core";
+
+if [[ ${PV} == *9999 ]]; then
+       inherit git-r3
+       EGIT_REPO_URI="https://github.com/linux-rdma/rdma-core";
+else
+       
SRC_URI="https://github.com/linux-rdma/rdma-core/releases/download/v${PV}/${P}.tar.gz";
+       KEYWORDS="~alpha amd64 arm arm64 ~hppa ~loong ~mips ~ppc ppc64 ~riscv 
~s390 sparc x86"
+fi
+
+LICENSE="|| ( GPL-2 ( CC0-1.0 MIT BSD BSD-with-attribution ) )"
+SLOT="0"
+IUSE="lttng neigh python static-libs systemd valgrind"
+REQUIRED_USE="python? ( ${PYTHON_REQUIRED_USE} )"
+
+COMMON_DEPEND="
+       dev-lang/perl:=
+       virtual/libudev:=
+       lttng? ( dev-util/lttng-ust:= )
+       neigh? ( dev-libs/libnl:3 )
+       systemd? ( sys-apps/systemd:= )
+       valgrind? ( dev-debug/valgrind )
+       python? ( ${PYTHON_DEPS} )
+"
+DEPEND="
+       ${COMMON_DEPEND}
+       python? (
+               $(python_gen_cond_dep '
+                       dev-python/cython[${PYTHON_USEDEP}]
+               ')
+       )
+"
+RDEPEND="${COMMON_DEPEND}
+       !sys-fabric/infiniband-diags
+       !sys-fabric/libibverbs
+       !sys-fabric/librdmacm
+       !sys-fabric/libibumad
+       !sys-fabric/ibacm
+       !sys-fabric/libibmad
+       !sys-fabric/srptools
+       !sys-fabric/infinipath-psm
+       !sys-fabric/libcxgb3
+       !sys-fabric/libcxgb4
+       !sys-fabric/libmthca
+       !sys-fabric/libmlx4
+       !sys-fabric/libmlx5
+       !sys-fabric/libocrdma
+       !sys-fabric/libnes
+"
+# python is required unconditionally at build-time
+BDEPEND="
+       ${PYTHON_DEPS}
+       virtual/pkgconfig
+"
+
+PATCHES=(
+       "${FILESDIR}"/${PN}-39.0-RDMA_BuildType.patch
+       "${FILESDIR}"/${PN}-53.1-preload-fix-build-issue-with-clang-19.patch
+)
+
+src_prepare() {
+       # DEFINED is true even if the value is false, which makes lttng 
unconditional
+       sed -i -e 's/if (DEFINED ENABLE_LTTNG)/if (ENABLE_LTTNG)/' 
CMakeLists.txt || die
+       cmake_src_prepare
+}
+
+src_configure() {
+       perl_set_version
+
+       local mycmakeargs=(
+               -DCMAKE_INSTALL_SYSCONFDIR="${EPREFIX}"/etc
+               -DCMAKE_INSTALL_RUNDIR=/run
+               -DCMAKE_INSTALL_SHAREDSTATEDIR="${EPREFIX}"/var/lib
+               -DCMAKE_INSTALL_PERLDIR="${VENDOR_LIB}"
+               -DCMAKE_INSTALL_UDEV_RULESDIR="${EPREFIX}$(get_udevdir)"/rules.d
+               
-DCMAKE_INSTALL_SYSTEMD_SERVICEDIR="$(systemd_get_systemunitdir)"
+               -DCMAKE_DISABLE_FIND_PACKAGE_Systemd="$(usex !systemd)"
+               -DENABLE_LTTNG="$(usex lttng)"
+               -DENABLE_VALGRIND="$(usex valgrind)"
+               -DENABLE_RESOLVE_NEIGH="$(usex neigh)"
+               -DENABLE_STATIC="$(usex static-libs)"
+               -DNO_PYVERBS="$(usex !python)"
+               -DNO_MAN_PAGES=1
+               -DPYTHON_EXECUTABLE="${PYTHON}"
+       )
+       cmake_src_configure
+}
+
+src_install() {
+       cmake_src_install
+
+       udev_dorules "${ED}"/usr/share/doc/${PF}/70-persistent-ipoib.rules
+
+       if use neigh; then
+               newinitd "${FILESDIR}"/ibacm.init ibacm
+               newinitd "${FILESDIR}"/iwpmd.init iwpmd
+       fi
+
+       newinitd "${FILESDIR}"/srpd.init srpd
+
+       use python && python_optimize
+}
+
+pkg_postinst() {
+       udev_reload
+}
+
+pkg_postrm() {
+       udev_reload
+}

diff --git a/sys-cluster/rdma-core/rdma-core-56.1.ebuild 
b/sys-cluster/rdma-core/rdma-core-56.1.ebuild
new file mode 100644
index 000000000000..5f49aaf5429d
--- /dev/null
+++ b/sys-cluster/rdma-core/rdma-core-56.1.ebuild
@@ -0,0 +1,120 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{10..13} )
+
+inherit cmake perl-functions python-single-r1 udev systemd
+
+DESCRIPTION="Userspace components for the Linux Kernel's drivers/infiniband 
subsystem"
+HOMEPAGE="https://github.com/linux-rdma/rdma-core";
+
+if [[ ${PV} == *9999 ]]; then
+       inherit git-r3
+       EGIT_REPO_URI="https://github.com/linux-rdma/rdma-core";
+else
+       
SRC_URI="https://github.com/linux-rdma/rdma-core/releases/download/v${PV}/${P}.tar.gz";
+       KEYWORDS="~alpha amd64 arm arm64 ~hppa ~loong ~mips ~ppc ppc64 ~riscv 
~s390 sparc x86"
+fi
+
+LICENSE="|| ( GPL-2 ( CC0-1.0 MIT BSD BSD-with-attribution ) )"
+SLOT="0"
+IUSE="lttng neigh python static-libs systemd valgrind"
+REQUIRED_USE="python? ( ${PYTHON_REQUIRED_USE} )"
+
+COMMON_DEPEND="
+       dev-lang/perl:=
+       virtual/libudev:=
+       lttng? ( dev-util/lttng-ust:= )
+       neigh? ( dev-libs/libnl:3 )
+       systemd? ( sys-apps/systemd:= )
+       valgrind? ( dev-debug/valgrind )
+       python? ( ${PYTHON_DEPS} )
+"
+DEPEND="
+       ${COMMON_DEPEND}
+       python? (
+               $(python_gen_cond_dep '
+                       dev-python/cython[${PYTHON_USEDEP}]
+               ')
+       )
+"
+RDEPEND="${COMMON_DEPEND}
+       !sys-fabric/infiniband-diags
+       !sys-fabric/libibverbs
+       !sys-fabric/librdmacm
+       !sys-fabric/libibumad
+       !sys-fabric/ibacm
+       !sys-fabric/libibmad
+       !sys-fabric/srptools
+       !sys-fabric/infinipath-psm
+       !sys-fabric/libcxgb3
+       !sys-fabric/libcxgb4
+       !sys-fabric/libmthca
+       !sys-fabric/libmlx4
+       !sys-fabric/libmlx5
+       !sys-fabric/libocrdma
+       !sys-fabric/libnes
+"
+# python is required unconditionally at build-time
+BDEPEND="
+       ${PYTHON_DEPS}
+       virtual/pkgconfig
+"
+
+PATCHES=(
+       "${FILESDIR}"/${PN}-39.0-RDMA_BuildType.patch
+       "${FILESDIR}"/${PN}-53.1-preload-fix-build-issue-with-clang-19.patch
+)
+
+src_prepare() {
+       # DEFINED is true even if the value is false, which makes lttng 
unconditional
+       sed -i -e 's/if (DEFINED ENABLE_LTTNG)/if (ENABLE_LTTNG)/' 
CMakeLists.txt || die
+       cmake_src_prepare
+}
+
+src_configure() {
+       perl_set_version
+
+       local mycmakeargs=(
+               -DCMAKE_INSTALL_SYSCONFDIR="${EPREFIX}"/etc
+               -DCMAKE_INSTALL_RUNDIR=/run
+               -DCMAKE_INSTALL_SHAREDSTATEDIR="${EPREFIX}"/var/lib
+               -DCMAKE_INSTALL_PERLDIR="${VENDOR_LIB}"
+               -DCMAKE_INSTALL_UDEV_RULESDIR="${EPREFIX}$(get_udevdir)"/rules.d
+               
-DCMAKE_INSTALL_SYSTEMD_SERVICEDIR="$(systemd_get_systemunitdir)"
+               -DCMAKE_DISABLE_FIND_PACKAGE_Systemd="$(usex !systemd)"
+               -DENABLE_LTTNG="$(usex lttng)"
+               -DENABLE_VALGRIND="$(usex valgrind)"
+               -DENABLE_RESOLVE_NEIGH="$(usex neigh)"
+               -DENABLE_STATIC="$(usex static-libs)"
+               -DNO_PYVERBS="$(usex !python)"
+               -DNO_MAN_PAGES=1
+               -DPYTHON_EXECUTABLE="${PYTHON}"
+       )
+       cmake_src_configure
+}
+
+src_install() {
+       cmake_src_install
+
+       udev_dorules "${ED}"/usr/share/doc/${PF}/70-persistent-ipoib.rules
+
+       if use neigh; then
+               newinitd "${FILESDIR}"/ibacm.init ibacm
+               newinitd "${FILESDIR}"/iwpmd.init iwpmd
+       fi
+
+       newinitd "${FILESDIR}"/srpd.init srpd
+
+       use python && python_optimize
+}
+
+pkg_postinst() {
+       udev_reload
+}
+
+pkg_postrm() {
+       udev_reload
+}

Reply via email to